package com.example.kru13.hledanimin;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.ImageButton;

public class GameActivity extends AppCompatActivity implements View.OnClickListener{

    protected GameView mGameView;
    Game game;
    int mineCount;
    ImageButton imgB1;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_game);

        mineCount = getIntent().getIntExtra("MINECOUNT", 10);

        game = new Game(this);
        game.genPole(mineCount);

        mGameView = (GameView)findViewById(R.id.gameview1);
        mGameView.initGame(game);

        imgB1 = (ImageButton) findViewById(R.id.imageButton);
        imgB1.setOnClickListener(this);

    }

    @Override
    public void onClick(View v) {
        if (v.getId() == R.id.imageButton) {
            game = new Game(this);
            game.genPole(mineCount);
            mGameView.initGame(game);
            mGameView.invalidate();
            imgB1.setImageResource(R.drawable.smiley);
        }
    }
}
